Kodi Community Forum

Full Version: Debian 10 Buster - Kodi - PVR Clients installation
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Hi all,

(Please bear with me, this is my first post)

My installation:
  • Hardware ==> Mini PC with Celeron J4105 (4 Cores) and 4 GB of RAM, 64 GB OS Drive. (All media on external device)
  • OS ==> Debian 10 Buster
  • X ==> XFCE
  • KODI ==> V 17.6 Krypton
    • Installed using
      Code:
      sudo apt-get install kodi
       ... Did the full install directly from Debian Repository
  • I have everything working perfectly:
    • My Movies work great
    • My TV Shows work great
What I'm trying to do:
  1. I have a HDHomeRun Extend connected to my network with OTA channels running smoothly
  2. I would like to use the native PVR functionality in KODI with this box
  3. I have setup NextPVR server as my PVR Backend on a separate box. It runs great over the browser.
    1. NOTE: I can use ANY PVR server, this was just the first one I tried.
  4. Then enable the PVR service on the Kodi, and install the add on called "kodi-pvr-nextpvr", but this is where I got the Gotcha !!!!
This is the command I'm using:
Code:
sudo apt-get install kodi-pvr-nextpvr

And this is the output I get:
Code:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package kodi-pvr-nextpvr is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'kodi-pvr-nextpvr' has no installation candidate

So now doing further research on it:
  1. Has Debian pulled the repository for all PVR clients? As I don't see any at all?
  2. I believe I have all the correct sources needed: 
Code:
deb http://deb.debian.org/debian/ buster main contrib non-free
deb-src http://deb.debian.org/debian/ buster main contrib non-free

deb http://security.debian.org/debian-security buster/updates main contrib non-free
deb-src http://security.debian.org/debian-security buster/updates main contrib non-free

# buster-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ buster-updates main contrib non-free
deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free

# Buster Backports
deb http://deb.debian.org/debian buster-backports main contrib non-free
deb-src http://deb.debian.org/debian buster-backports main contrib non-free

So, what is the real question?
  1. Is there a way to use the PVR client in KODI with Debian 10? (I know that I can use it with Ubuntu and other OS)
  2. If there is, can someone point to it, or provide their experience and directions?
Thank you in advance.
I believe there are troubles with the Debian Kodi repo https://forum.kodi.tv/showthread.php?tid...ght=debian and https://forum.kodi.tv/showthread.php?tid...ght=debian

Building just the addon isn't that bad, https://github.com/kodi-pvr/pvr.nextpvr 

I am hoping that some of the overly zealous security measures being proposed won't apply to self builds.

Martin
(2020-08-23, 03:55)emveepee Wrote: [ -> ]I believe there are troubles with the Debian Kodi repo https://forum.kodi.tv/showthread.php?tid...ght=debian and https://forum.kodi.tv/showthread.php?tid...ght=debian

Building just the addon isn't that bad, https://github.com/kodi-pvr/pvr.nextpvr 

I am hoping that some of the overly zealous security measures being proposed won't apply to self builds.

Martin

Hmmm, thanks Martin, I'll try to see if the compiled nextpvr client will work with Kodi version of Debian. 
Although I suspect there will be issues. Might be better if I just build Kodi from Scratch first and then build and add the PVR client. 

But I really appreciate the general direction.
Building from scratch is highly recommended on Debian, as they are using an version of FFMpeg which is unsuited for Kodi. Besides, Kodi 17 is oooold.

You might want to try out Matrix while you are at it. It is pretty stable for me, but ymmv. Testers are always welcome.
(2020-08-23, 05:33)sarbes Wrote: [ -> ]Building from scratch is highly recommended on Debian, as they are using an version of FFMpeg which is unsuited for Kodi. Besides, Kodi 17 is oooold.

You might want to try out Matrix while you are at it. It is pretty stable for me, but ymmv. Testers are always welcome.

So question then, whether v18 or v19 (Matrix). 
Should I first uninstall KODI for Debian completely? 
Or can I install build Kodi 18 stable form Scratch on top of Kodi 17 (Debian version)?

I ask because I've got all my settings / cache etc etc in it.
Hi @sarbes ,

Sorry to bother you again, but do you think if I can build from scratch and install it over the Debian version of Kodi? Or do I need to completely remove that and then re-do it?

Thanks again Smile
just remove kodi from debian repos completely, then build from source
(2020-08-24, 08:48)wsnipex Wrote: [ -> ]just remove kodi from debian repos completely, then build from source
Got it, thanks @wsnipex 

Will give it a go